Skip to content

Tasks

All operations require authentication.

2 operationsv1/ip/{ip}
Agent setup

List tasksProduction

GET
/1.0/ip/{ip}/task

List tasks. Returns the IDs of the block's asynchronous operations, filterable by function or status.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

function
TaskFunctionEnum

Filter the value of function property (=)

ValuesarinBlockReassignchangeRipeOrgcheckAndReleaseIpgenericMoveFloatingIpsupernetByoipFailoverPartitioning
status
TaskStatusEnum

Filter the value of status property (=)

ValuescancelledcustomerErrordoingdoneinitovhErrortodo

Response

200integer[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a taskProduction

GET
/1.0/ip/{ip}/task/{taskId}

Get a task. Returns the task's function, status, details, and its start, last update and completion dates.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

taskId
required
integer

the id of the task

Response

200IpTasksuccessful operation
comment
read-only
string

Details of this task

destination
read-only
RoutedTo

Destination for moveFloatingIp tasks

doneDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesarinBlockReassignchangeRipeOrgcheckAndReleaseIpgenericMoveFloatingIpsupernetByoipFailoverPartitioning
lastUpdate
read-only
stringdate-time

last update

startDate
read-only
stringdate-time

Task Creation date

status
read-only
TaskStatusEnum

Task status

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
taskId
read-only
integer

the id of the task

Example uses ip = 192.0.2.0/24, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "comment": "string", "destination": { "serviceName": "string" }, "doneDate": "2024-01-01T12:00:00Z", "function": "arinBlockReassign", "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "taskId": 0}